<mr-modal
title="Vincular una ficha"
subtitle="Agrega una ficha de tu archivo a este hilo"
[closeOnConfirm]="false"
[disableConfirm]="!selection"
[loading]="'OFF'"
(onconfirm)="link()">

    <ng-container *ngIf="files$ | async as files">
        <mr-custom-select-single
        [items]="files"
        [placeholder]="'Elige una ficha para insertar'"
        [template]="file"
        [selectedTemplate]="selected"
        [(ngModel)]="selection"></mr-custom-select-single>

        <ng-template #file let-item="item">
            <div class="item-info">
                <mr-image [path]="item.picture"></mr-image>
                <h5>{{ item.title }}</h5>
                <h6>Por <a [routerLink]="item.author | profileUrl" target="_blank">{{ item.author }}</a></h6>
            </div>
        </ng-template>
        <ng-template #selected let-item="item">
            <div class="item-info"><h5>{{ item }}</h5></div>
        </ng-template>
    </ng-container>

    <p class="help"><i class="las la-question-circle"></i> Como participante de este hilo, puedes vincular una ficha de tu archivo para que tú y otros participantes puedan referenciarla en las respuestas</p>

</mr-modal>
